Bug 143880 - Freecom usb 2.0 external hard disk cannot be used
Freecom usb 2.0 external hard disk cannot be used
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-30 14:16 EST by Nicholas Allen
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicholas Allen 2004-12-30 14:16:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
After connecting the Freecom classic 2.0 USB mass storage device the kernel prints a load of error messages and the device cannot be used.

/sbin/lsusb shows that the device has been seen by the system - it just can't be used:

Bus 004 Device 002: ID 0483:1307 SGS Thomson Microelectronics Cytronix 6in1 card reader
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 002: ID 046d:c01d Logitech, Inc.
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 004: ID 07ab:fccd Freecom Technologies
Bus 001 Device 001: ID 0000:0000

The following messages are displayed when the device is plugged in:

usb 1-4: control timeout on ep0in
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb-storage: probe of 1-4:1.0 failed with error -1
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71
usb 1-4: string descriptor 0 read error: -71


Version-Release number of selected component (if applicable):
2.6.9-1.715_FC3

How reproducible:
Always

Steps to Reproduce:
1.Plug in Freecom classic 160 GB external USB 2.0 hard disk
2.
3.
    

Additional info:
Comment 1 Nicholas Allen 2005-01-04 06:56:05 EST
Using 2.6.9mm1 I am able to mount the device. However, after about 
20 seconds the hard drive just turns off and responds no more. I 
notice the following stack trace: 
 
usb-storage: usb_stor_Bulk_reset called 
usb-storage: usb_stor_control_msg: rq=ff rqtype=21 value=0000 
index=00 len=0 
usb-storage: Soft reset failed: -71 
usb-storage: scsi command aborted 
usb-storage: *** thread sleeping. 
usb-storage: device_reset called 
usb-storage: usb_stor_Bulk_reset called 
usb-storage: usb_stor_control_msg: rq=ff rqtype=21 value=0000 
index=00 len=0 
usb-storage: Soft reset failed: -71 
usb-storage: bus_reset called 
ehci_hcd 0000:00:1d.7: qh defbc080 (#0) state 1 
usb 1-2: reset high speed USB device using address 2 
usb 1-2: control timeout on ep0out 
usb 1-2: failed to restore interface 0 altsetting 0 (error=-110) 
usb-storage: usb_reset_device returns -19 
scsi: Device offlined - not ready after error recovery: host 1 
channel 0 id 0 lun 0 
SCSI error : <1 0 0 0> return code = 0x50000 
usb 1-2: USB disconnect, address 2 
usb-storage: storage_disconnect() called 
usb-storage: usb_stor_stop_transport called 
 target1:0:0: Illegal state transition <NULL>->cancel 
Badness in scsi_device_set_state at drivers/scsi/scsi_lib.c:1713 
 [<e09777ff>] scsi_device_set_state+0xbf/0x150 [scsi_mod] 
 [<e0971f92>] scsi_device_cancel+0x22/0xed [scsi_mod] 
 [<c021c9d9>] device_for_each_child+0x49/0x80 
 [<e09720a0>] scsi_device_cancel_cb+0x0/0x10 [scsi_mod] 
 [<e09720d5>] scsi_host_cancel+0x25/0xc0 [scsi_mod] 
 [<c01b8091>] unlink+0x41/0xa0 
 [<c021c92c>] device_del+0x7c/0xd0 
 [<e0979d84>] scsi_remove_device+0x84/0xc0 [scsi_mod] 
 [<e0972181>] scsi_remove_host+0x11/0x60 [scsi_mod] 
 [<e0955705>] storage_disconnect+0x95/0xa5 [usb_storage] 
 [<c026318c>] usb_unbind_interface+0x5c/0x60 
 [<c021d826>] device_release_driver+0x56/0x60 
 [<c021daab>] bus_remove_device+0x6b/0xb0 
 [<c021c91d>] device_del+0x6d/0xd0 
 [<c0269c74>] usb_disable_device+0x64/0xd0 
 [<c02654df>] usb_disconnect+0xaf/0x160 
 [<c026642e>] hub_port_connect_change+0x20e/0x380 
 [<c0265816>] hub_port_status+0x36/0xb0 
 [<c0265305>] locktree+0xb5/0xd0 
 [<c0266720>] hub_events+0x180/0x330 
 [<c012c9f0>] autoremove_wake_function+0x0/0x50 
 [<c0266905>] hub_thread+0x35/0x100 
 [<c012c9f0>] autoremove_wake_function+0x0/0x50 
 [<c0105d72>] ret_from_fork+0x6/0x14 
 [<c012c9f0>] autoremove_wake_function+0x0/0x50 
 [<c02668d0>] hub_thread+0x0/0x100 
 [<c010429d>] kernel_thread_helper+0x5/0x18 
Unable to handle kernel NULL pointer dereference at virtual address 
00000000 
 printing eip: 
e0971f9b 
*pde = 173c6067 
Oops: 0000 [#1] 
Modules linked in: autofs4 sunrpc nls_iso8859_1 nls_cp437 vfat fat 
appletalk ipx p8022 psnap llc radeon ipv6 sd_mod binfmt_misc 
usb_storage scsi_mod joydev button batteryac uhci_hcd ehci_hcd 
i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec snd_pcm_oss 
snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc tg3 
ext3 jbd 
CPU:    0 
EIP:    0060:[<e0971f9b>]    Not tainted VLI 
EFLAGS: 00010086   (2.6.9-mm1) 
EIP is at scsi_device_cancel+0x2b/0xed [scsi_mod] 
eax: ffffffea   ebx: da22ec80   ecx: c03387b0   edx: 00000000 
esi: fffffff0   edi: c1787e20   ebp: 00000286   esp: c1787e1c 
ds: 007b   es: 007b   ss: 0068 
Process khubd (pid: 102, threadinfo=c1786000 task=c1741510) 
Stack: 00000000 c1787e20 c1787e20 d3e020cc da22ee04 00000000 
c034c508 c021c9d9 
       e09720a0 c1787e58 d3e02000 e0968e60 decb6194 de8e2bc4 
e09720d5 00000000 
       c034c4c0 c034c508 d6540584 c01b8091 d6540584 d6540584 
c034c508 c021c92c 
Call Trace: 
 [<c021c9d9>] device_for_each_child+0x49/0x80 
 [<e09720a0>] scsi_device_cancel_cb+0x0/0x10 [scsi_mod] 
 [<e09720d5>] scsi_host_cancel+0x25/0xc0 [scsi_mod] 
 [<c01b8091>] unlink+0x41/0xa0 
 [<c021c92c>] device_del+0x7c/0xd0 
 [<e0979d84>] scsi_remove_device+0x84/0xc0 [scsi_mod] 
 [<e0972181>] scsi_remove_host+0x11/0x60 [scsi_mod] 
 [<e0955705>] storage_disconnect+0x95/0xa5 [usb_storage] 
 [<c026318c>] usb_unbind_interface+0x5c/0x60 
 [<c021d826>] device_release_driver+0x56/0x60 
 [<c021daab>] bus_remove_device+0x6b/0xb0 
 [<c021c91d>] device_del+0x6d/0xd0 
 [<c0269c74>] usb_disable_device+0x64/0xd0 
 [<c02654df>] usb_disconnect+0xaf/0x160 
 [<c026642e>] hub_port_connect_change+0x20e/0x380 
 [<c0265816>] hub_port_status+0x36/0xb0 
 [<c0265305>] locktree+0xb5/0xd0 
 [<c0266720>] hub_events+0x180/0x330 
 [<c012c9f0>] autoremove_wake_function+0x0/0x50 
 [<c0266905>] hub_thread+0x35/0x100 
 [<c012c9f0>] autoremove_wake_function+0x0/0x50 
 [<c0105d72>] ret_from_fork+0x6/0x14 
 [<c012c9f0>] autoremove_wake_function+0x0/0x50 
 [<c02668d0>] hub_thread+0x0/0x100 
 [<c010429d>] kernel_thread_helper+0x5/0x18 
Code: 55 57 56 53 83 ec 0c 89 c3 89 14 24 8d 7c 24 04 ba 03 00 00 00 
89 7c 24 04 89 7c 24 08 e8 ae 57 00 00 9c 5d fa 8b 53 1c 8d 72 f0 
<8b> 46 10 0f 18 00 90 83 c3 1c eb 46 8b 86 b8 00 00 00 85 c0 74 
 <3>scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78542) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78543) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78544) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78545) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78546) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78547) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78548) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78549) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78550) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78551) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78552) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78553) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78554) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78555) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78556) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78557) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78558) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78559) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78560) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78561) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78562) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78563) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78564) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78565) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78566) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78567) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78568) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78569) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78570) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78571) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78572) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78573) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78574) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78575) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78576) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78577) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78578) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78579) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78580) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78581) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78582) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78583) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78584) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78585) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78586) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78587) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78588) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78589) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78590) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78591) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78592) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78593) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78594) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78595) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78596) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78597) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78598) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78599) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78600) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78601) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78602) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78603) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78604) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78605) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78542) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78543) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78544) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78545) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78546) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78547) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78548) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78549) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78550) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78551) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78552) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78553) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78554) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78555) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78556) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78557) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78558) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78559) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78560) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78561) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78562) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78563) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78564) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78565) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78566) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78567) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78568) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78569) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78570) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78571) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78572) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78573) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78574) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78575) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78576) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78577) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78578) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78579) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78580) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78581) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78582) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78583) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78584) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78585) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78586) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78587) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78588) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78589) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78590) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78591) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78592) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78593) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78594) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78595) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78596) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78597) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78598) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78599) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78600) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78601) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78602) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78603) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78604) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT: Directory bread(block 78605) failed 
scsi1 (0:0): rejecting I/O to dead device 
FAT bread failed in fat_clusters_flush 
Comment 2 Dave Jones 2005-07-15 15:26:58 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:05:21 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.